<%- include('../../partials/header') %>

<div class="container mt-5">

    <% if (typeof error !=='undefined' ) {%>
    <div class="alert alert-danger">
        <%= error.errors[0].message %>
    </div>
    <% } %>

    <form method="POST" id="editUserHistoryForm" action="/api/user/game-history/edit">
        <input type="hidden" name="id" value="<%= history.id %>">
        <input type="hidden" name="userId" value="<%= history.userId %>">
        <div>
            <label for="userName">Game Name</label>
            <input type="text" name="gameName" placeholder="Input game name" onChange="checkEditHistory()" class="form-control mb-2"
                value="<%= history.gameName %>">
            <label for="email">Play Time (Hour)</label>
            <input type="text" name="playTime" placeholder="Input play time" onChange="checkEditHistory()" class="form-control mb-2"
                value="<%= history.playTime %>">

        </div>

        <button id="saveBtn" type="submit" class="btn btn-success text-white mt-1 me-2">Save</button>
        <a href="/show/<%= history.userId %>" class="btn btn-danger mt-1">Cancel</a>
    </form>

</div>


<%- include('../../partials/footer') %>